XSS vulnerability in Bookmarks macro

2010-12-02T23:00:19
ID ATLASSIAN:CONF-21390
Type atlassian
Reporter smaddox
Modified 2017-02-17T05:21:09

Description

We have identified and fixed a cross-site scripting (XSS) vulnerability in the Confluence {bookmarks} macro.

XSS vulnerabilities potentially allow an attacker to embed their own JavaScript into a Confluence page. You can read more about XSS attacks at various places on the web, including these: * cgisecurity.com: http://www.cgisecurity.com/articles/xss-faq.shtml * The Web Application Security Consortium: http://projects.webappsec.org/Cross-Site+Scripting

This issue is reported in our security advisory on this page: http://confluence.atlassian.com/x/HgdrDQ